%define version 0.15
%define release 2

%define	desktop_vendor	planetccrma
%define desktop_utils   %(if which desktop-file-install &>/dev/null ; then echo "yes" ; fi)
%define distro_release  %(awk '/Fedora/{print $4};/Red Hat/{print $5}' 2>/dev/null </etc/redhat-release)

Summary:      FFT based sound processor
Name:         mammut
Version:      %{version}
Release:      %{?release_prefix:%{release_prefix}.}%{release}%{?release_suffix:.%{release_suffix}}
License:      Public Domain?
Group:        Applications/Multimedia
URL:          http://www.notam02.no/arvik/src/
Source0:      %{name}-%{version}.tar.gz
Patch0:       mammut-makefile.patch
Patch1:       mammut-0.15-paths.patch
Patch2:       mammut-makefile-sndlib.patch
Patch3:       mammut-0.15-python.patch
Patch4:       mammut-0.15-pygtk1.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-buildroot
Packager:     Fernando Lopez-Lezcano <nando@ccrma.stanford.edu>
Distribution: Planet CCRMA

%if "%{distro_release}" != "7.3"
BuildRequires: pygtk1
%endif
%if "%{distro_release}" != "7.3"
Requires:      pygtk1
%endif

%description
Mammut will FFT your sound in one single gigantic analysis (no windows).
These spectral data, where the development in time is incorporated in
mysterious ways, may then be transformed by different algorithms prior to
resynthesis. An interesting aspect of Mammut is its completely
non-intuitive sound transformation approach.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%if "%{distro_release}" != "7.3"
%patch4 -p1
%endif

%build
cd src
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_bindir}
install -m 0755 bin/mammut $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
install -m 0755 lib/mammut* $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/mammut
install -m 0755 etc/mammut* $RPM_BUILD_ROOT%{_datadir}/mammut

#--- the mammut icon
/bin/mkdir -p $RPM_BUILD_ROOT/%{_datadir}/pixmaps/
install -m 644 mammut.gif $RPM_BUILD_ROOT/%{_datadir}/pixmaps/

#--- desktop entry
cat << EOF > %{desktop_vendor}-%{name}.desktop
[Desktop Entry]
Name=Mammut
Comment=FFT sound processor
Icon=%{name}.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
EOF
%if "%{desktop_utils}" == "yes"
  mkdir -p %{buildroot}%{_datadir}/applications
  desktop-file-install --vendor %{desktop_vendor} \
    --dir %{buildroot}%{_datadir}/applications    \
    --add-category X-Red-Hat-Base                 \
    --add-category Application                    \
    --add-category AudioVideo                     \
    %{desktop_vendor}-%{name}.desktop
%else
  install -d $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia
  install %{desktop_vendor}-%{name}.desktop $RPM_BUILD_ROOT%{_sysconfdir}/X11/applnk/Multimedia/
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc INSTALL NEW mammuthelp.html
%{_bindir}/mammut
%{_libdir}/mammut*
%{_datadir}/mammut/mammut*
%{_datadir}/pixmaps/mammut.gif
%if "%{desktop_utils}" == "yes"
%{_datadir}/applications/*%{name}.desktop
%else
%{_sysconfdir}/X11/applnk/Multimedia/%{desktop_vendor}-%{name}.desktop
%endif

%changelog
* Mon Nov 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-2
- spec file tweaks, added release tags
* Tue Jun 17 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-2
- another hack without the whole of python, much better, see the
  pygtk1 package
* Mon Jun 16 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-1
- rebuilt for 8.0 and 9 using the separate python-pygtk1 package
* Fri Jan 24 2003 Fernando Lopez-Lezcano <nando@ccrma.stanford.edu> 0.15-1
- Initial build.
- use the supplied binary sndlib for now till I get a proper sndlib
  package done.
